@echo off
:debut
cls
echo.
echo Veuillez choisir une action :
echo.
echo (1) Continuer
echo (2) Quitter
echo.
set /p act= Votre action est :
rem CLS
rem if not '%act%'== set act=%act:~0,1%
if '%act%'=='1' goto start
if '%act%'=='2' goto exit
echo.
echo "%choix%" choix impossible, veuillez reessayer
pause
cls
:start
cls
echo.
echo Veuillez choisir une carrosserie :
echo.
echo (1) Berline
echo (2) Estate
echo.
set /p choix= Votre choix est :
rem CLS
rem if not '%choix%'== set choix=%choix:~0,1%
if '%choix%'=='1' goto b
if '%choix%'=='2' goto e
echo.
echo "%choix%" choix impossible, veuillez reessayer
pause
cls
:b
rem echo Vous avez choisi la version %choix%
pause
..\..\..\..\ini ..\car.ini body.model.file "berline.dof"
..\..\..\..\ini ..\car.ini body.model_incar.file "berline.dof"
..\..\..\..\ini ..\car.ini graphics.generic.model0.file "interieur.dof"
..\..\..\..\ini ..\car.ini graphics.generic.model6.file "feux_2.dof"
..\..\..\..\ini ..\car.ini graphics.generic.model9.file "vide.dof"
..\..\..\..\ini ..\car.ini graphics.generic.model11.file "sigles_b1.dof"
..\..\..\..\ini ..\car.ini graphics.generic.model12.file "4ve.dof"
..\..\..\..\ini ..\car.shd shader_couleur.layer0.map "textures/b2.dds"
..\..\..\..\ini ..\car.shd shader_couleur.layer1.map "textures/b2_bump.dds"
..\..\..\..\ini ..\car.shd shader_poignes.layer0.map "textures/b2.dds"
..\..\..\..\ini ..\car.ini flares.flare4.pos "-0.586 0.097 -2.14"
..\..\..\..\ini ..\car.ini flares.flare5.pos "-0.526 0.097 -2.14"
..\..\..\..\ini ..\car.ini flares.flare6.pos "0.586 0.097 -2.14"
..\..\..\..\ini ..\car.ini flares.flare7.pos "0.526 0.097 -2.14"
..\..\..\..\ini ..\car.ini flares.flare8.pos "-0.586 0.097 -2.14"
..\..\..\..\ini ..\car.ini flares.flare9.pos "-0.526 0.097 -2.14"
..\..\..\..\ini ..\car.ini flares.flare10.pos "0.586 0.097 -2.14"
..\..\..\..\ini ..\car.ini flares.flare11.pos "0.526 0.097 -2.14"
..\..\..\..\ini ..\car.ini flares.flare8.size_factor "0.3"
..\..\..\..\ini ..\car.ini flares.flare9.size_factor "0.3"
..\..\..\..\ini ..\car.ini flares.flare10.size_factor "0.3"
..\..\..\..\ini ..\car.ini flares.flare11.size_factor "0.3"
..\..\..\..\ini ..\car.ini body.model_braking_l.file "brakes_b.dof"
..\..\..\..\ini ..\car.ini body.model_light_l.file "lights_b.dof"
..\..\..\..\ini ..\car.ini body.model_reverse_l.file "re_b.dof"
..\..\..\..\ini ..\car.ini body.model_reverse_r.file "re_b.dof"
..\..\..\..\ini ..\car.ini graphics.shadow.model.file "ombre.dof"
..\..\..\..\ini ..\car.ini body.model_collide.file "ombre.dof"
..\..\..\..\ini ..\car.ini wheel0.model.file "rg.dof"
..\..\..\..\ini ..\car.ini wheel1.model.file "rd.dof"
..\..\..\..\ini ..\car.ini wheel2.model.file "rg.dof"
..\..\..\..\ini ..\car.ini wheel3.model.file "rd.dof"
..\..\..\..\ini ..\car.ini graphics.generic.model21.file "phare_hallo.dof"
..\..\..\..\ini ..\car.ini graphics.generic.model9.file "vide.dof"
goto debut2
:e
rem echo Vous avez choisi la version %choix%
pause
..\..\..\..\ini ..\car.ini body.model.file "estate.dof"
..\..\..\..\ini ..\car.ini body.model_incar.file "estate.dof"
..\..\..\..\ini ..\car.ini graphics.generic.model0.file "interieur_e.dof"
..\..\..\..\ini ..\car.ini graphics.generic.model6.file "feux_e.dof"
..\..\..\..\ini ..\car.ini graphics.generic.model9.file "vide.dof"
..\..\..\..\ini ..\car.ini graphics.generic.model11.file "sigles_e1.dof"
..\..\..\..\ini ..\car.ini graphics.generic.model12.file "4ve.dof"
..\..\..\..\ini ..\car.shd shader_couleur.layer0.map "textures/e2.dds"
..\..\..\..\ini ..\car.shd shader_couleur.layer1.map "textures/e2_bump.dds"
..\..\..\..\ini ..\car.shd shader_poignes.layer0.map "textures/e2.dds"
..\..\..\..\ini ..\car.ini flares.flare4.pos "-0.66 0.15 -2.15"
..\..\..\..\ini ..\car.ini flares.flare5.pos "0.66 0.15 -2.15"
..\..\..\..\ini ..\car.ini flares.flare6.pos "-0.66 0.15 -2.15"
..\..\..\..\ini ..\car.ini flares.flare7.pos "0.66 0.15 -2.15"
..\..\..\..\ini ..\car.ini flares.flare8.size_factor "0"
..\..\..\..\ini ..\car.ini flares.flare9.size_factor "0"
..\..\..\..\ini ..\car.ini flares.flare10.size_factor "0"
..\..\..\..\ini ..\car.ini flares.flare11.size_factor "0"
..\..\..\..\ini ..\car.ini body.model_braking_l.file "brakes_e.dof"
..\..\..\..\ini ..\car.ini body.model_light_l.file "lights_e.dof"
..\..\..\..\ini ..\car.ini body.model_reverse_l.file "re_e.dof"
..\..\..\..\ini ..\car.ini body.model_reverse_r.file "re_e.dof"
..\..\..\..\ini ..\car.ini graphics.shadow.model.file "ombre_e.dof"
..\..\..\..\ini ..\car.ini body.model_collide.file "ombre_e.dof"
..\..\..\..\ini ..\car.ini wheel0.model.file "rg.dof"
..\..\..\..\ini ..\car.ini wheel1.model.file "rd.dof"
..\..\..\..\ini ..\car.ini wheel2.model.file "rg.dof"
..\..\..\..\ini ..\car.ini wheel3.model.file "rd.dof"
..\..\..\..\ini ..\car.ini graphics.generic.model21.file "phare_hallo.dof"
..\..\..\..\ini ..\car.ini graphics.generic.model9.file "vide.dof"
goto debut3
:debut2
cls
echo.
echo Veuillez choisir une action :
echo.
echo (1) Continuer
echo (2) Quitter
echo.
set /p act= Votre action est :
rem CLS
rem if not '%act%'== set act=%act:~0,1%
if '%act%'=='1' goto options b
if '%act%'=='2' goto exit
echo.
echo "%choix%" choix impossible, veuillez reessayer
pause
cls
:options b
cls
@echo off
:start
cls
echo.
echo Veuillez choisir une option :
echo.
echo (1) Phares xenon
echo (2) Becquet
echo (3) Jantes lazulli 16
echo.
set /p opt= Votre option est :
rem CLS
rem if not '%opt%'== set opt=%opt:~0,1%
if '%opt%'=='1' goto xen
if '%opt%'=='2' goto bec
if '%opt%'=='3' goto ja
echo.
echo "%opt%" option impossible, veuillez reessayer
pause
cls
:xen
rem echo Vous avez choisi l'option %opt%
pause
..\..\..\..\ini ..\car.ini graphics.generic.model21.file "phare_xen.dof"
..\..\..\..\ini ..\car.ini graphics.generic.model9.file "lave_ph.dof"
..\..\..\..\ini ..\car.ini lights.light0.color "10 10 13"
..\..\..\..\ini ..\car.ini flares.flare0.color "44 44 60"
..\..\..\..\ini ..\car.ini flares.flare1.color "44 44 60"
..\..\..\..\ini ..\car.shd shader_hallo.diffuse "70 70 85"
..\..\..\..\ini ..\car.shd shader_hallo.ambient "70 70 85"
..\..\..\..\ini ..\car.shd shader_hallo.emission "70 70 85"
goto debut2
:bec
rem echo Vous avez choisi l'option %opt%
pause
..\..\..\..\ini ..\car.ini graphics.generic.model9.file "becquet_.dof"
goto debut2
:ja
rem echo Vous avez choisi la version %choix%
pause
..\..\..\..\ini ..\car.ini wheel0.model.file "l_rg.dof"
..\..\..\..\ini ..\car.ini wheel1.model.file "l_rd.dof"
..\..\..\..\ini ..\car.ini wheel2.model.file "l_rg.dof"
..\..\..\..\ini ..\car.ini wheel3.model.file "l_rd.dof"
goto debut2
:debut3
cls
echo.
echo Veuillez choisir une action :
echo.
echo (1) Continuer
echo (2) Quitter
echo.
set /p act= Votre action est :
rem CLS
rem if not '%act%'== set act=%act:~0,1%
if '%act%'=='1' goto options e
if '%act%'=='2' goto exit
echo.
echo "%choix%" choix impossible, veuillez reessayer
pause
cls
:options e
cls
@echo off
:start
cls
echo.
echo Veuillez choisir une option :
echo.
echo (1) Phares xenon
echo (2) Barres de  toit
echo (3) Jantes lazulli
echo.
set /p opt= Votre option est :
rem CLS
rem if not '%opt%'== set opt=%opt:~0,1%
if '%opt%'=='1' goto xen
if '%opt%'=='2' goto bar
if '%opt%'=='3' goto ja
echo.
echo "%opt%" option impossible, veuillez reessayer
pause
cls
:xen
rem echo Vous avez choisi l'option %opt%
pause
..\..\..\..\ini ..\car.ini graphics.generic.model21.file "phare_xen.dof"
..\..\..\..\ini ..\car.ini graphics.generic.model9.file "lave_ph.dof"
..\..\..\..\ini ..\car.ini lights.light0.color "10 10 13"
..\..\..\..\ini ..\car.ini flares.flare0.color "44 44 60"
..\..\..\..\ini ..\car.ini flares.flare1.color "44 44 60"
..\..\..\..\ini ..\car.shd shader_hallo.diffuse "70 70 85"
..\..\..\..\ini ..\car.shd shader_hallo.ambient "70 70 85"
..\..\..\..\ini ..\car.shd shader_hallo.emission "70 70 85"
goto debut3
:bar
rem echo Vous avez choisi l'option %opt%
pause
..\..\..\..\ini ..\car.ini graphics.generic.model9.file "barres_de_toit.dof"
goto debut3
:ja
rem echo Vous avez choisi la version %choix%
pause
..\..\..\..\ini ..\car.ini wheel0.model.file "l_rg.dof"
..\..\..\..\ini ..\car.ini wheel1.model.file "l_rd.dof"
..\..\..\..\ini ..\car.ini wheel2.model.file "l_rg.dof"
..\..\..\..\ini ..\car.ini wheel3.model.file "l_rd.dof"
goto debut3
:end
exit